### Method

# Peas Engine get_plugin_info

#### Declaration [src]

    PeasPluginInfo*
    peas_engine_get_plugin_info (
      PeasEngine* engine,
      const char* plugin_name
    )

#### Description [src]

Gets the `PeasPluginInfo` corresponding with `plugin_name`, or `NULL` if `plugin_name` was not found.

#### Parameters

`plugin_name`

  Type: `const char*`

  A plugin name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PeasPluginInfo`

The `PeasPluginInfo` corresponding with a given plugin module name.

The returned data is owned by the instance.